<!--
 * @Author: fhj
 * @LastEditors: fhj
 * @Description: 
-->
# Radio 单选组件

Radioc单选


## Radio Attributes

| 参数          | 说明                                            | 类型    | 可选值     | 默认值  |
| ------------- | ----------------------------------------------- | ------- | ---------- | ------- |
| v-model          | 双向绑定数据                                    | String/Number  | -          | ''       |
| disabled     | disabled状态，可以传Fn                  | Function,Boolean | -        | `false`  |
| list     | 可选项数组                   | Array | -        |`[]` |
| listName     | 展示用name                   | String | -        |`name` |
| listkey     | 选项key                   | String | -        |`value` |
| attrs         | 其他跟el-radio一致                      | Any     |            |

> 其他与el-radio所有操作一样




## Radio Events

| 事件名称 | 说明                 | 回调参数                                                                        |
| -------- | -------------------- | -------------------------------------- |
| change   | 值发生改变时触发 | value |

## Demo

### 基本用法

```html
<template>
  <div class="test">
      <f-radio :list="list" v-model="form.radio" @change="change"></f-radio>
      <f-radio :list="list" v-model="radio" @change="change"></f-radio>
  </div>
</template>

<script>
export default {
  name: 'Radio',
  data() {
    return {
      list:[
        {
          name:'radio1',
          value:'radio1'
        },
        {
          name:'radio2',
          value:'radio2'
        }
      ],
      form:{
        radio:''
      },
      radio:'radio1'
    };
  },
  created(){
    setTimeout(()=>{
      this.form.radio = 'radio2';
    },1000);
  },
  methods:{
    change:function(val){
      console.log(val);
    }
  }
};
</script>

<!-- radio-basic-usage.vue -->
```
